terraform {
  required_providers {
    docker = {
      source = "kreuzwerker/docker"
      version = "~> 3.0.1"
    }
  }
}

variable pwd {
  default = "none"
}

provider "docker" {}

resource "docker_image" "nginx" {
  name = "nginx"
  keep_locally = false
}

resource "local_file" "index" {
  content = "index.html"
  filename = "${path.module}/index.html"
}

resource "docker_container" "nginx" {
  image = docker_image.nginx.image_id
  name = "sample"

  volumes {
    host_path = "${var.pwd}/html"
    container_path = "/usr/share/nginx/html"
  }

  depends_on = [local_file.index]

  ports {
    internal = 80
    external = 3000
  }
}

